#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int x1, y1, x2, y2;
    cin >> x1 >> y1;
    cin >> x2 >> y2;

    int res;
    if (y1 == y2) res = 2;
    else if (x1 == x2) res = 2;
    else {
        if (abs(x1-x2) == abs(y1-y2)) res = 1;
        else res = 0;
    }

    cout << res;

    return 0;
}